Installing

Which Python?

You’ll need Python 3.6 or greater.

We recommend using the Anaconda Python distribution to ensure you have all dependencies installed and the conda package manager available. Installing Anaconda does not require administrative rights to your computer and doesn’t interfere with any other Python installations in your system.

Dependencies

Most of the examples in the Models and Datasets also use:

Installing the latest development version

You can use pip to install the latest source from Github:

pip install https://github.com/fatiando/rockhound/archive/master.zip

Alternatively, you can clone the git repository locally and install from there:

git clone https://github.com/fatiando/rockhound.git
cd rockhound
pip install .

Testing your install

We ship a full test suite with the package. To run the tests, you’ll need to install some extra dependencies first:

After that, you can test your installation by running the following inside a Python interpreter:

import rockhound
rockhound.test()